Home

Execute account code

POST
https://meter.nownodes.io/accounts/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

to simulate contract method call, without sending transaction to block chain.

It's useful to estimate gas usage and execution result of a clause.

Body

application/json

arguments and environment

valuestring

amount of token to be transferred

datastring

input data for contract call

gasinteger<uint64>

max allowed gas for execution

gasPricestring

absolute gas price

callerstring

caller address (msg.sender)

Parameters

addressstring<bytes20>requiredpath

address of account

revisionstringquery

can be block number or ID. best block is assumed if omitted.

Response

200OK

OK